Name: cmake
Summary: Cross-platform make system
Version: 2.8.2
Release: 1%{?_dist_release}

License: Insight Consortium
Group: Development/Tools
URL: http://www.cmake.org/

Source0: http://www.cmake.org/files/v2.8/%{name}-%{version}.tar.gz
Source1: macros.cmake

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
CMake is used to control the software compilation process using simple 
platform and compiler independent configuration files. CMake generates 
native makefiles and workspaces that can be used in the compiler 
environment of your choice. CMake is quite sophisticated: it is possible 
to support complex environments requiring system configuration, pre-processor 
generation, code generation, and template instantiation.

%prep
%setup -q

%build
./bootstrap --prefix=%{_prefix} --datadir=/share/CMake --mandir=/share/man
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/usr/doc

# RPM macros
install -p -m0644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.cmake
sed -i -e "s|@@CMAKE_VERSION@@|%{version}|" $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.cmake
touch -r %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.cmake

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CMakeLogo.gif ChangeLog.* Copyright.txt
%doc Docs/*
%doc Example/
%config(noreplace) %{_sysconfdir}/rpm/macros.cmake
%{_bindir}/*
%{_datadir}/CMake/
%{_mandir}/man1/*

%changelog
* Sun Jul 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-1
- new upstream release

* Fri Feb 05 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.4-3
- rebuilt with new toolchain

* Sun Aug 30 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.6.4-2
- imported RPM macros from Fedora (cmake-2.6.4-3.fc12)

* Tue Aug 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.4-1
- new upstream release
- added Vendor/Distribution tag

* Wed Mar 25 2009 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.6.3-1
- new upstream release

* Tue Oct 21 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.6.2-1
- new upstream release

* Sat Mar 29 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.8-1
- new upstream release

* Wed Aug 15 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.7-0vl1
- new upstream release

* Mon May 14 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.6-0vl1
- new upstream release
- drop Patch100
- use bootstrap script instead of configure
- delete caches from %%doc

* Sat May 12 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.3-0vl2
- rebuilt with new toolchain

* Tue Oct 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.3-0vl1
- new upstream release
- delete duped docs

* Fri Oct 13 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.3-0vl2
- added Patch100 (especially for ppc to solve ppc/powerpc issue)

* Mon Feb 06 2006 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 2.2.3-0vl1
- source version up

* Sun Mar 20 2005 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 2.0.5-0vl1
- initial build for Vine Linux
